HEXCURSE(1)

NAME
hexcurse - an ncurses-based hex editor

SYNOPSIS
hexcurse [ -? | -help ] [ -a ] [ -r rnum ] [ -o outputfile ] [ [ -i ] inputfile ]

DESCRIPTION
hexcurse is an ncurses-based hexeditor utility that is able to open, modify, and save a file to disk while providing useful editing and searching options.

OPTIONS

-?  |  -help
    Prints out the command usage info

-a  Specifies the addresses to be output in decimal format initially.

-r rnum
    Specifies the number of characters per line that the hexeditor should output. If rnum is either less than 1 or greater than the columns of the current terminal, hexcurse will fill the terminal width, just as if the -r was not specified.

-o outputfile
    Specifies the output file to be written to by default.

[-i] inputfile
    Specifies the input file to be read in. -i is not needed if inputfile is the last argument on the line.

INTERACTIVE OPTIONS

F1 | ctrl+?
    Shows key command help.

F2 | ctrl+s
    Save the current file.

F3 | ctrl+o
    Opens a file.

F4 | ctrl+g
    Goto a certain location in the current file. Depending on which way the addresses are being viewed at the moment, the search will behave differently. If the addresses are currently in hex format, the search will search as if the input was given in hexadecimal format. If the addresses are in decimal format, the function will search for the address in decimal.

F5 | ctrl+f
    Search for a certain string in the current file. Depending on which window the user is currently editing in, this search will behave differently. If editing in the hex window, the input should only be in hexadecimal, and it will search for the hexadecimal "string." If the current editing window is the ASCII window, the input should be ASCII characters, and the search will find that ASCII string in the file.

F6 | ctrl+a
    Switch between hexadecimal address values and decimal address values.

F7 | TAB
    Switch between the hexadecimal and ASCII editing windows.

F8 | ctrl+q | ctrl+x
    Exit out of the program.

Page Up | ctrl+u
    Scroll one 'page' up.

Page Down | ctrl+d
    Scroll one 'page' down.

Home | ctrl+t
    Returns to the top of the file.

End | ctrl+b
    Jumps to the bottom of the file.

ctrl+z
    Undo the last modification. Can be used multiple times.

Esc Escapes out of the save, open, goto, and find prompts.

SEE ALSO
hexdump(1) , ncurses(3)

AUTHORS
The authors of hexcurse are:

    James Stephenson - https://plus.google.com/u/0/103174459258175070784/about
    Lonny Gomes - hexcurse dot lonnygomes dot com

The current version of this software is always availabe at

    https://github.com/LonnyGomes/hexcurse

BUGS
On some terminals the function keys will not work.

Support for resizable terminals is still a bit rudimentary. At this time, when the terminal is resized, the cursor is positioned at the beginning of the file. This will be corrected in the next release. There is also an issue where the labels on the bottom of the screen do not resize correctly. A fix for the latter is in the works.

To report a bug or problem, please e-mail:

    devel@jewfish.net

TODO
When we get the time, we would like to implement the ability to insert and delete data from the file. Please e-mail us with any additional suggestions.